<a rel="availability"></a>

<?
	$activeDays = @$this->schedules[1];
	$nonActiveDays = @$this->schedules[2];
?>

<? if ( (count($activeDays) + count($nonActiveDays)) > 0 ): ?>
<div class="block availability">

	<div class="head"><span class="fl"><?= __('availability') ?>	</span>
		<div class="availability-blocks">
			<div class="available a-item"> = available </div>
			<div class="not-available a-item"> = not available </div>
		</div>
	</div>

	<script type="text/javascript">
		window.addEvent('load', function() {
			var activedays = [];
			var nonactivedays = [];
			<? if ( count($activeDays) > 0 ):
				$resString = '';
				foreach ( $activeDays as $schedule ):
					$day = date("n/d/Y", strtotime($schedule['day'] ) );

					$resString .= "'$day', "; ?>
			<? endforeach;
				$resString = trim($resString, ', ');?>
				activedays = [<?= $resString ?>];
			<? endif; ?>

			<? if ( count($nonActiveDays) > 0 ):
				$resString = '';
				foreach ( $nonActiveDays as $schedule ):
					$day = date("n/d/Y",strtotime($schedule['day']) );// strtotime("-1 month", strtotime($schedule['day']) ) );
					$resString .= "'$day', "; ?>
			<? endforeach;
				$resString = trim($resString, ', ');?>
				nonactivedays = [<?= $resString ?>];
			<? endif; ?>
			new MyPicker('.calendar1', {
				pickerClass: 'schedule'
			}, activedays, nonactivedays);
		});
	</script>


	<label class='date calendar1'></label>
	<div id="picker-container"></div>

	<div class="clear"></div>
</div>
<? endif; ?>

<div class="clear"></div>